project(scn2pml)

# specific flags needed for sofa
add_definitions(-DSOFA_SUPPORT)
add_definitions(-DSOFA_PATH="${SOFA_BUILD_DIR}")
add_definitions(-DSOFA_STABLE)
    
if(MML_GENERATE_GUI)
    find_package(Qt4 REQUIRED)
    include(${QT_USE_FILE})
    set(scn2pml_LIBRARIES ${QT_LIBRARIES})
    add_definitions(-DMML_GENERATE_GUI)
endif()

set(scn2pml_LIBRARIES
    ${scn2pml_LIBRARIES}
    ${MML_DEPENDENCY}
)


set(HEADERS )

set(SRCS
  scn2pml.cpp
  ${HEADERS}
)


include_directories(${MML_INCLUDE_DIRECTORIES})
link_directories(${MML_LINK_DIRECTORIES})
add_executable(scn2pml ${SRCS})
target_link_libraries(scn2pml ${scn2pml_LIBRARIES})
add_dependencies(scn2pml ${MONITORING_DEPENDENCY})
